
QGIS Application - Feature request #4055

Enhancement: display SVG symbols in themed collections instead of all together.

2011-07-06 04:36 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 14041

Description

Quoting from another bug ;)

Town planners, naturalists, geologists and other professionals have their own symbols

QGIS is used to produce maps showing many different types of information.  Each different field would typically require different symbols.

 Currently the SVG symbols are all displayed together, and they are mostly symbols suited to a tourist map or something, plus north

points.

It would be good if the available SVG symbols could be  filtered, to show different "collections" separately.

i.e. instead of displaying the SVG symbols all together, there could be a tab for each "collection".  The collections could be things like

Tourist Map, Topo Map, Geology, Utility services, North Points or Map Decorations,  etc.

Related issues:

Related to QGIS Application - Feature request # 4143: list of last used Feedback 2011-08-05

History

#1 - 2011-08-29 10:59 PM - Paolo Cavallini

- Category set to Symbology

- Pull Request or Patch supplied set to No

#2 - 2011-11-09 07:39 AM - Alexander Bruy

See also #1066

#3 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2012-10-06 03:00 AM - Alister Hood

We can probably close these tickets, since you can navigate the svg symbols by folder (although it is called "group") in master.
#7 - 2014-04-23 02:54 PM - Antonio Locandro

I agree this ticket should be closed as it works like SVG Groups

#8 - 2014-04-23 04:52 PM - Alister Hood

- % Done changed from 0 to 50

Actually, this shouldn't be closed, because it is only implemented for selecting svgs for layer symbols.  If you want to insert a North point on a composer

layout you do "layout>add image", and under "item properties" you can either use a file selector under "main properties", or choose from all the images in

all the search directories, under "search directories".  

You cannot show just the images in one "group" (maybe the "image search paths" combobox is supposed to do this, but it doesn't work on my system at

least).

#9 - 2015-12-03 07:10 AM - Médéric RIBREUX

- Category changed from Symbology to Map Composer/Printing

Hello, bug triage...

on QGIS 2.13 there is still no group of SVG symbols into the search directories group box of the Pictures of a map composer.

#10 - 2016-03-07 01:19 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

The remaining issue (composer svg picker) is covered by #8257
